PCE-IBMPC(1)

NAME
pce-ibmpc - IBM PC 5150 emulator

SYNOPSIS
pce-ibmpc [options]

DESCRIPTION
pce-ibmpc(1) is an IBM PC hardware emulator. It emulates most of the hardware of an IBM PC 5150. The emulation is complete enough to boot DOS and run most DOS applications.

OPTIONS

-b, --boot drive
    Set the boot drive. The default is 128 (the first hard disk). Reasonable values are 128 and 0 (the first floppy disk).

-c, --config file
    Set the config file name.

-d, --path string
    Add a directory to the search path. The search path is used if an input file (such as a ROM image or a disk image) is specified with a relative file name. In that case the file is searched for in all directories of the search path. The current directory is always implicitly added to the end of the search path. The directory name can be prefixed by one of these characters:

    +   Add the directory to the end of the search path

    -   Add the directory to the beginning of the search path

    =   Clear the search path before adding the directory

    The default is to add the directory to the end of the search path.

-g, --video string
    Set the video device. Possible devices are:

    mda Monochrome Display Adapter

    cga Color/Graphics Adapter

    hgc Hercules Graphics Card

    plantronics
        Plantronics ColorPlus

    ega Enhanced Graphics Adapter

    vga Video Graphics Array

    wy700
        Wyse 700

-l, --log file
    Write log messages to the file specified instead of stdout.

-p, --cpu model
    Select the CPU model to be emulated, overriding the config file. Possible values for model are:

    8086
        Intel 8086

    8088
        Intel 8088

    8086+
        Behaves like an 8086 but with 80186 instructions enabled

    8088+
        Behaves like an 8088 but with 80186 instructions enabled

    80186
        Intel 80186

    80188
        Intel 80188

-q, --quiet
    Don't print anything to stdout or stderr.

-r, --run
    Start running immediately.

-R, --no-monitor
    Start running immediately and never fall back to the monitor. This is useful if stdout is not visible, for example because the emulator was started directly from a graphical user interface such as X or Windows.

-s, --speedfactor
    Set the initial speed factor. This overrides a value specified in the configuration file.

-t, --terminal string
    Set the terminal device. Possible devices are null, x11 and sdl.

-v, --verbose
    Verbose operation. This is highly recommended.

--help
    Print usage information

--version
    Print version information

SEE ALSO
bochs(1), mtools(1)

AUTHOR
Hampa Hug <hampa@hampa.ch>